com.lowagie.text.rtf.field

## Class RtfTotalPageNumber

- java.lang.Object
- - com.lowagie.text.Chunk
  - - com.lowagie.text.rtf.field.RtfField
    - - com.lowagie.text.rtf.field.RtfTotalPageNumber

All Implemented Interfaces:
  Element, RtfBasicElement, RtfElementInterface

    public class RtfTotalPageNumber
    extends RtfField

The RtfTotalPageNumber provides the total number of pages field in rtf documents.

Version:
  $Id$
Author:
  Jose Hurtado (jose.hurtado@gft.com), Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

### Field Summary

Fields
`private static byte[]` `ARABIC_TOTAL_PAGES` Constant for arabic total page numbers.

### Fields inherited from class com.lowagie.text.rtf.field.RtfField

`document`

### Fields inherited from class com.lowagie.text.Chunk

`ACTION, attributes, BACKGROUND, CHAR_SPACING, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SEPARATOR, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TAB, TEXTRENDERMODE, UNDERLINE`

### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

### Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

### Constructor Summary

Constructors
Constructor and Description
`RtfTotalPageNumber()` Constructs a RtfTotalPageNumber.
`RtfTotalPageNumber(Font font)` Constructs a RtfTotalPageNumber with a specified Font.
`RtfTotalPageNumber(RtfDocument doc)` Constructs a RtfTotalPageNumber object.
`RtfTotalPageNumber(RtfDocument doc, Font font)` Constructs a RtfTotalPageNumber object with a specific font.

### Method Summary

Methods
`protected void` `writeFieldInstContent(java.io.OutputStream result)` Writes the field NUMPAGES instruction with Arabic format: "NUMPAGES \\\\* Arabic".
`protected void` `writeFieldResultContent(java.io.OutputStream out)` Writes the field result content "1".

### Methods inherited from class com.lowagie.text.rtf.field.RtfField

`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, isInHeader, isInTable, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setFont, setInHeader, setInTable, setRtfDocument, writeContent`

### Methods inherited from class com.lowagie.text.Chunk

`append, getAttributes, getCharacterSpacing, getChunks, getContent, getFont, getHorizontalScaling, getHyphenation, getImage, getTextRise, getWidthPoint, hasAttributes, isContent, isNestable, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setCharacterSpacing, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ARABIC_TOTAL_PAGES

    private static final byte[] ARABIC_TOTAL_PAGES

Constant for arabic total page numbers.

### Constructor Detail

#### RtfTotalPageNumber

    public RtfTotalPageNumber()

Constructs a RtfTotalPageNumber. This can be added anywhere to add a total number of pages field.

#### RtfTotalPageNumber

    public RtfTotalPageNumber(Font font)

Constructs a RtfTotalPageNumber with a specified Font. This can be added anywhere to add a total number of pages field.

Parameters:
  `font` -

#### RtfTotalPageNumber

    public RtfTotalPageNumber(RtfDocument doc)

Constructs a RtfTotalPageNumber object.

Parameters:
  `doc` - The RtfDocument this RtfTotalPageNumber belongs to

#### RtfTotalPageNumber

    public RtfTotalPageNumber(RtfDocument doc,
                      Font font)

Constructs a RtfTotalPageNumber object with a specific font.

Parameters:
  `doc` - The RtfDocument this RtfTotalPageNumber belongs to
  `font` - The Font to use

### Method Detail

#### writeFieldInstContent

    protected void writeFieldInstContent(java.io.OutputStream result)
                                  throws java.io.IOException

Writes the field NUMPAGES instruction with Arabic format: "NUMPAGES \\\\* Arabic".

Specified by:
  `writeFieldInstContent` in class `RtfField`
Parameters:
  `result` - The `OutputStream` to write to.
Throws:
  `java.io.IOException` - on i/o errors.

#### writeFieldResultContent

    protected void writeFieldResultContent(java.io.OutputStream out)
                                    throws java.io.IOException

Writes the field result content "1".

Specified by:
  `writeFieldResultContent` in class `RtfField`
Parameters:
  `out` - The `OutputStream` to write to.
Throws:
  `java.io.IOException` - on i/o errors.